%define module_version 2.1.2
%define module_name Math-Simple
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Xporter.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.1.2
Release: alt1
Summary: very basic, commonly used Math funcs
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/L/LA/LAWALSH/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Very simple math routines that I end up re-using in many progs and
libified for easy access.  

Currently, there are five functions, with three exported by default.
Default exports are `min', `max' and `log10'.
Optional exports are `log2' and `logb'.  

Note on `logb': it returns a log in any base, with the base 
as the first param, and number as the 2nd param, but given 
1 parameter (the base), it will return a function ref (a.k.a. a 
*curried function*, that, when called, only returns logarithms
in that base.

`Math::Simple' uses `Xporter', so including `logb' or 
`log2' doesn't break the default `EXPORT' list see the Xporter manpage.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/M*

%changelog
* Fri Sep 05 2014 Igor Vlasenko <viy@altlinux.ru> 2.1.2-alt1
- regenerated from template by package builder

* Tue May 13 2014 Igor Vlasenko <viy@altlinux.ru> 2.0.1-alt1
- initial import by package builder

